> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Job

> Permanently delete a job from our service. This cannot be undone.



## OpenAPI

````yaml https://api.ionq.co/v0.3/api-docs DELETE /jobs/{UUID}
openapi: 3.0.0
info:
  title: IonQ Cloud Platform API
  version: v0.3
  description: |-
    *Last updated: May 6, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform
  contact:
    name: IonQ
    email: support@ionq.co
    url: https://ionq.com/
  x-logo:
    url: https://static.ionq.co/images/ionq-logo-dark.png
    altText: IonQ Logo
    href: '#'
servers:
  - url: https://api.ionq.co/v0.3/
security:
  - API_Key: []
paths:
  /jobs/{UUID}:
    delete:
      tags:
        - jobs
      summary: Delete a Job
      description: Permanently delete a job from our service. This cannot be undone.
      operationId: deleteJob
      parameters:
        - $ref: '#/components/parameters/job-uuid'
      responses:
        '200':
          $ref: '#/components/responses/DeleteJob'
      x-codeSamples:
        - lang: curl
          source: >
            curl -X DELETE
            "https://api.ionq.co/v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e"
            \
              -H "Authorization: apiKey your-api-key"
components:
  parameters:
    job-uuid:
      name: UUID
      in: path
      required: true
      example: 617a1f8b-59d4-435d-aa33-695433d7155e
      description: >-
        The UUID of the job — this UUID is provided in the response on job
        creation.
      schema:
        type: string
        format: uuid
  responses:
    DeleteJob:
      description: Successfully deleted job
      content:
        application/json:
          schema:
            type: object
            description: Response body from a successful job deletion.
            required:
              - id
              - status
            properties:
              id:
                $ref: '#/components/schemas/job-uuid'
              status:
                type: string
                description: Status of a job (always `deleted`).
                enum:
                  - deleted
  schemas:
    job-uuid:
      type: string
      format: uuid
      example: aa54e783-0a9b-4f73-ad2f-63983b6aa4a8
      description: >-
        The UUID of a job. We'll provide the UUID initially in our response to a
        [job creation request](#operation/createJob).
  securitySchemes:
    API_Key:
      type: apiKey
      in: header
      name: Authorization
      description: >
        API keys are associated with a user and can be created on the

        [IonQ Quantum Cloud](https://cloud.ionq.com) application. To
        authenticate, prefix your API Key with `apiKey ` and place it in the
        `Authorization` request header. Ex: `Authorization: apiKey your-api-key`

````